import { BryntumCalendar } from '@bryntum/calendar-react';
import { calendarConfig } from './CalendarConfig';
import React, { Component } from "react";
import data from "./calendar-data.json"
import "./App.scss"
class SimpleCalendar extends Component {

    constructor(props) {
        super(props)
        this.state = {
            events: data.events,
            resources: data.resources
        }
        this.calendar = React.createRef();
    }

    componentDidMount() {

        setTimeout(() => {
            this.calendar.current.props.onRefresh();
        }, 5000);


    }

    onRefresh = async => {
        console.log("onRefresh")

        let newData = {
            "id": 4,
            "startDate": "2023-03-23T12:00:00",
            "endDate": "2023-03-23T14:00:00",
            "name": "Afternoon Work",
            "resourceId": "hotel",
            "allDay": false
        }


        let { events } = this.state;
        events.push(newData)
        this.setState({ events })
        console.log("After refresh")
    }

    render() {
        let { events, resources } = this.state;

        console.log("Evetns in State", events)
        return (
            <>
                {events && resources && <BryntumCalendar
                    ref={this.calendar}
                    {...calendarConfig}
                    events={events}
                    resources={resources}
                    onRefresh={this.onRefresh}

                />}
            </>
        )
    }
}

export default SimpleCalendar;
